extensions / Forms
PUT
/api/projects/{project_id}/forms/{form_id}PUT /api/projects/{project_id}/forms/{form_id}
A description is not available in the current release metadata.
DELETEPUT
Code examples
Integration
PUT /api/projects/{project_id}/forms/{form_id}
Environment
BASE_URLcurl --request PUT \
--url "${BASE_URL}/api/projects/example_project_id/forms/example_form_id" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Authentication requirements are not specified for this operation.
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
project_id | Yes | Not specified |
form_id | Yes | Not specified |
Query Parameters
Request Body
Schema: UpdateFormPayload
| Field | Required | Type |
|---|---|---|
name | Yes | Not specified |
type | Yes | Not specified |
description | No | Not specified |
fields | No | Not specified |
layout | No | Not specified |
settings | No | Not specified |
formKey | No | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified